twitter4j

## Class StreamController.FriendsIDs

- java.lang.Object
- - twitter4j.StreamController.FriendsIDs

All Implemented Interfaces:
  java.io.Serializable, CursorSupport

Enclosing class:
  StreamController

    public final class StreamController.FriendsIDs
    extends java.lang.Object
    implements CursorSupport, java.io.Serializable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface twitter4j.CursorSupport

`START`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`long[]` `getIds()`
`long` `getNextCursor()`
`long` `getPreviousCursor()`
`StreamController.User` `getUser()`
`int` `hashCode()`
`boolean` `hasNext()`
`boolean` `hasPrevious()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### hasPrevious

    public boolean hasPrevious()

Specified by:
  `hasPrevious` in interface `CursorSupport`

#### getPreviousCursor

    public long getPreviousCursor()

Specified by:
  `getPreviousCursor` in interface `CursorSupport`

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `CursorSupport`

#### getNextCursor

    public long getNextCursor()

Specified by:
  `getNextCursor` in interface `CursorSupport`

#### getUser

    public StreamController.User getUser()

#### getIds

    public long[] getIds()

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`